Debian Bug report logs - #651010
libavc1394-0: Patch for multiarch support

version graph

Package: libavc1394-0; Maintainer for libavc1394-0 is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libavc1394-0 is src:libavc1394.

Reported by: William A Van Hevelingen <blkperl@cat.pdx.edu>

Date: Mon, 5 Dec 2011 00:09:01 UTC

Severity: normal

Found in version 0.5.3-1build4

Fixed in version libavc1394/0.5.4-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651010; Package libavc1394-0. (Mon, 05 Dec 2011 00:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to William A Van Hevelingen <blkperl@cat.pdx.edu>:
New Bug report received and forwarded. Copy sent to Daniel Kobras <kobras@debian.org>. (Mon, 05 Dec 2011 00:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: William A Van Hevelingen <blkperl@cat.pdx.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libavc1394-0: Patch for multiarch support
Date: Sun, 04 Dec 2011 16:04:04 -0800
[Message part 1 (text/plain, inline)]
Package: libavc1394-0
Version: 0.5.3-1build4
Severity: normal

Hi,

The attached patch makes libavc1394-0 compatible with multiarch, as described at
<http://wiki.debian.org/Multiarch/Implementation>.

Thanks
--
William Van Hevelingen
blkperl@cat.pdx.edu
github.com/~blkperl

-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty'), (100, 'natty-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-11-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libavc1394-0 depends on:
ii  libc6                     2.13-0ubuntu13 Embedded GNU C Library: Shared lib
ii  libraw1394-11             2.0.6-1        library for direct access to IEEE 

libavc1394-0 recommends no packages.

libavc1394-0 suggests no packages.

-- no debconf information
[libavc.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651010; Package libavc1394-0. (Mon, 05 Dec 2011 00:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. (Mon, 05 Dec 2011 00:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 651010@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: William A Van Hevelingen <blkperl@cat.pdx.edu>, 651010@bugs.debian.org
Subject: Re: Bug#651010: libavc1394-0: Patch for multiarch support
Date: Mon, 5 Dec 2011 01:53:27 +0100
* William A Van Hevelingen <blkperl@cat.pdx.edu>, 2011-12-04, 16:04:
>The attached patch makes libavc1394-0 compatible with multiarch, as 
>described at <http://wiki.debian.org/Multiarch/Implementation>.

Hmm, the patch doesn't look complete. It doesn't actually add Multi-Arch 
field to any package...

> Package: libavc1394-dev
> Section: libdevel
> Architecture: any
>+Pre-Depends: ${misc:Pre-Depends}
> Depends: libavc1394-0 (= ${Source-Version}), libc6-dev
> Suggests: pkg-config
> Conflicts: libavc1394-0 (<= 0.3.1-3)

As far as I can tell, this is not needed, as libavc1394-dev doesn't ship 
any shared libraries.

On the other hand, Pre-Depends *is* needed for the libavc1394-0 package.

-- 
Jakub Wilk




Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 08 Feb 2012 20:00:03 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Fri, 10 Feb 2012 17:06:35 GMT) Full text and rfc822 format available.

Notification sent to William A Van Hevelingen <blkperl@cat.pdx.edu>:
Bug acknowledged by developer. (Fri, 10 Feb 2012 17:06:36 GMT) Full text and rfc822 format available.

Message #17 received at 651010-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 651010-close@bugs.debian.org
Subject: Bug#651010: fixed in libavc1394 0.5.4-1
Date: Fri, 10 Feb 2012 17:05:14 +0000
Source: libavc1394
Source-Version: 0.5.4-1

We believe that the bug you reported is fixed in the latest version of
libavc1394, which is due to be installed in the Debian FTP archive:

libavc1394-0_0.5.4-1_amd64.deb
  to main/liba/libavc1394/libavc1394-0_0.5.4-1_amd64.deb
libavc1394-dev_0.5.4-1_amd64.deb
  to main/liba/libavc1394/libavc1394-dev_0.5.4-1_amd64.deb
libavc1394-tools_0.5.4-1_amd64.deb
  to main/liba/libavc1394/libavc1394-tools_0.5.4-1_amd64.deb
libavc1394_0.5.4-1.debian.tar.gz
  to main/liba/libavc1394/libavc1394_0.5.4-1.debian.tar.gz
libavc1394_0.5.4-1.dsc
  to main/liba/libavc1394/libavc1394_0.5.4-1.dsc
libavc1394_0.5.4.orig.tar.gz
  to main/liba/libavc1394/libavc1394_0.5.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated libavc1394 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 08 Feb 2012 21:39:20 +0100
Source: libavc1394
Binary: libavc1394-dev libavc1394-0 libavc1394-tools
Architecture: source amd64
Version: 0.5.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libavc1394-0 - control IEEE 1394 audio/video devices
 libavc1394-dev - control IEEE 1394 audio/video devices (development files)
 libavc1394-tools - control IEEE 1394 audio/video devices (utilities)
Closes: 372894 425382 600784 633190 651010 654648
Changes: 
 libavc1394 (0.5.4-1) unstable; urgency=low
 .
   * New maintainer (Closes: #654648);
     thanks to Daniel Kobras for the great work done.
   * New upstream release (Closes: #600784):
     - test/panelctl.[c1]: apply patch from Jerry Fiddler to add options
       --guid, --specid, --swversion, and --commands.
   * Switch to source package format 3.0 (quilt) plus DH 7.
   * Build-depend on dh-autoreconf.
   * Move files under /usr/bin into a new support package: libavc1394-tools.
   * Remove ancient Conflicts/Replaces on libavc1394-0 (<= 0.3.1-3).
   * Set priority to optional. (Closes: #425382)
   * Build with Multiarch support. (Closes: #651010)
   * Explicitly disable the build of static libraries.
   * Get rid of unneeded .la files. (Closes: #633190)
   * Implement DEB_BUILD_OPTIONS noopt flag. (Closes: #372894)
   * Drop libc6-dev from -DEV's Depends field.
   * Add missing {misc,shlibs}:Depends wherever needed.
   * Replace deprecated Source-Version substvar with binary:Version.
   * Add Homepage field.
   * Fix lintian's warning binary-control-field-duplicates-source.
   * Add watch file.
   * Update debian/copyright as per DEP-5.
   * Convert dpatch patches to quilt format.
   * Small improvements to the manpages
     - Fix hyphen-used-as-minus-sign.
     - Set an appropriate whatis entry to panelctl's manpage.
   * Fix various misspellings in the libraries and tools.
   * Refresh patches.
   * Run wrap-and-sort -a -s.
   * Bump Standards.
Checksums-Sha1: 
 326ad6bb6c4e0284a49d4259b6222ca9951e9ac2 2145 libavc1394_0.5.4-1.dsc
 710ec37ef3d494b5ec8080beaa95d29a173a0479 341679 libavc1394_0.5.4.orig.tar.gz
 e8cd09c963975c7ce44d47a31ed99000ba4fd95b 6255 libavc1394_0.5.4-1.debian.tar.gz
 64b2117bb8fb44532ffa55a54a703c4bc8edb026 13912 libavc1394-dev_0.5.4-1_amd64.deb
 06f607569fbb91aac00a8e2d32ddb7a624caa35f 23824 libavc1394-0_0.5.4-1_amd64.deb
 94fcc212e9d9c04ee6317149c2794cd17e2b098f 23600 libavc1394-tools_0.5.4-1_amd64.deb
Checksums-Sha256: 
 9509776ce96c0345ffcf8a4494d98cc950b373c01d3cff80dba969daa601a7dc 2145 libavc1394_0.5.4-1.dsc
 7cb1ff09506ae911ca9860bef4af08c2403f3e131f6c913a2cbd6ddca4215b53 341679 libavc1394_0.5.4.orig.tar.gz
 d442ffffa4d2a3123057a1bc443248a46c81ac87f8d58f90a306aba2881172c3 6255 libavc1394_0.5.4-1.debian.tar.gz
 f818bbb1c480a677849cb12f94e192907abeb89386221a8192df1162ace518e4 13912 libavc1394-dev_0.5.4-1_amd64.deb
 1d45294cfd33739d7ad2ce937a79ab6f6a65b0f80b0ae4d688a8ee0287c7e37e 23824 libavc1394-0_0.5.4-1_amd64.deb
 5cd8f1820f5fe9d6f370c5b24577781a1aa17092d399c387926c91e32b8b462c 23600 libavc1394-tools_0.5.4-1_amd64.deb
Files: 
 c9d59934cfab32bdb9e1cf4e0ca57759 2145 libs optional libavc1394_0.5.4-1.dsc
 caf0db059d8b8d35d6f08e6c0e1c7dfe 341679 libs optional libavc1394_0.5.4.orig.tar.gz
 2999a216908cee58b115e60bb86ba80d 6255 libs optional libavc1394_0.5.4-1.debian.tar.gz
 5125b162b790c014686a801d2986d844 13912 libdevel optional libavc1394-dev_0.5.4-1_amd64.deb
 2b9a439232c958fc3d9dd31dac85ef3e 23824 libs optional libavc1394-0_0.5.4-1_amd64.deb
 15f3bd4139d30d9d34ac5d845e07a6de 23600 utils optional libavc1394-tools_0.5.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPMuDBAAoJEOikiuUxHXZasAIP/iwP0bqwc7ARC+p5n2AysbV9
qq5yN7DPvNnt9RV52cm/RnEHjLdbwIuSpmtdCSCzpzS7CseuqybBRm6OpZC88A14
O6r9CHMVy/Pjcs6QqAPs5PPZ8D24KEVz8IDvfjinnNDi8bxWTtGTCwy1pfBnBVbO
hIeeOdJiu2IsfoIRHPvANASUFRMo1x9fXtt70htJ7dXp6vTQXupbJijyB6xddFI1
KphN1KylOs7tnRex65+KPCaZC00NGA9klXn5qT50L3f5rN+rfsk4Hy8rhiHBBojc
VlZMCnvH2tNO+tFw7N/+kyig+TArQxPA5+qwgUVbOoRn3Omtt5XdC6Vh+AG3prX2
MrFPTTKYsMa0lcNB3g7dOcY+rB3QYOj+2gRD9H33/Z23BpHBZ2sbYt/loYBtu86Y
zqTDY5+XPZRJEG0mfFDWwMWUbgsTBhEY6sREblALp0A0lDDCRyRrSJtdVeVcVix2
cFI9TNDxSZRmkJpE09JupUwxoFWVREeFukZzBy4/sFzB5Ev+HC5HEg/cTfsChrp2
67PG6mkCovFN2Wt1Wn57Dxxamw4eWZtDR0w0K0tK9dNqVY2WddjApI5VD2OzWm9P
TiOQo6F+QLGRww2xyuiayTxXLcA6H9MqVrfWTpdVTq6S1ZwC9dPxSuS5w1MdVLG0
IclvnkgSoef+KdcU6hLz
=GGaR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Mar 2012 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:19:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.